#! /usr/bin/env python

import sys
import time

from PIL import Image

import pyetherpix


def main(argv):
    if len(argv) < 2:
        print >>sys.stderr, "usage: %s <config.etp>" % argv[0]
        return 2
    config_file = argv[1]
    # create display
    display = pyetherpix.Display(config_file)
    (width, height) = display.get_size()
    print "width %u, height %u" % (width, height)
    # prepare "on" image (all white)
    on = Image.new("RGB", (width, height), "white")
    # blink
    print "blink"
    for i in range(5):
        print "on"
        display.data_image(on)
        display.send()
        time.sleep(0.5)
        print "off"
        display.data_clear()
        display.send()
        time.sleep(0.5)
    print "done"
    # close display
    display.close()
    return 0


if __name__ == "__main__":
  sys.exit(main(sys.argv))

